<?php

	App::uses('CakeEventListener', 'Event');

	class DeliveryPriceBandListener implements CakeEventListener {

		public function implementedEvents() {
			return array(
				'Model.Order.updateOrderTotal' => 'calculateDeliveryPriceBand',
			);
		}

		public function calculateDeliveryPriceBand(CakeEvent $event) {
			
			//Check to see if the delivery address has been set on the order?
			$data = $event->data['Order'];

			$DeliveryRate = ClassRegistry::init('EvDeliveryPriceBand.DeliveryRate'); 

			$bestRate = $DeliveryRate->findBestDeliveryRate($data['Order']['subtotal']); 

			if($bestRate) {
		
				$event->data['Order']['Order']['delivery_cost'] += $bestRate[$DeliveryRate->alias]['cost'];
				$event->data['Order']['Order']['total'] += $bestRate[$DeliveryRate->alias]['cost'] +  $bestRate[$DeliveryRate->alias]['vat'];
				$event->data['Order']['Order']['vat'] += $bestRate[$DeliveryRate->alias]['vat'];

			}


		}

	}
